<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Managing Hosts">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Adding, Editing, and Deleting Vulnerabilities</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#21-host-management/adding-editing-deleting-vulnerabilities.html">Open topic with navigation</a>
        </p>
        <h1>Adding, Editing, and Deleting Vulnerabilities</h1>
        <p>In order to identify potential vulnerabilities that may exist on a target network, you will need to run a Nexpose scan, run a Discovery Scan, or import vulnerability scan data. <span class="VariablesProductName">Metasploit Pro</span> stores the vulnerability information that it finds for each host in the project.</p>
        <p>Vulnerabilities can be viewed and managed at the project level or at the host level.</p>
        <h2>Adding a Vulnerability to a Host</h2>
        <p class="leadin">To add a vulnerability to a host:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host that you want to add a vulnerability to. The single host page appears.<br /><br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_530x257.png" style="width: 530;height: 257;" /></li>
            <li value="3">Click the <b class="UISelection">Vulnerabilities</b> tab. The Vulnerabilities list appears.<br /><br /><img src="../Resources/Images/host-management/hm-vulns-tab_533x111.png" style="width: 533;height: 111;" /></li>
            <li value="4">Click the <b class="UISelection">New Vuln</b> button. The New Vulnerability modal window appears.<br /><br /><img src="../Resources/Images/host-management/hm-new-vuln-button_486x159.png" style="width: 486;height: 159;" /></li>
            <li value="5">Enter a name for the vulnerability in the <b class="UISelection">Name</b> field.<br /><br /><img src="../Resources/Images/host-management/hm-new-vuln-window_298x142.png" style="width: 298;height: 142;" /></li>
            <li value="6">Click the <b class="UISelection">Add Ref</b> button. The Reference field becomes editable.<br /><br /><img src="../Resources/Images/host-management/hm-add-vuln-ref_294x141.png" style="width: 294;height: 141;" /></li>
            <li value="7">Enter the vulnerability reference ID or URL in the reference field.<br /><br /><img src="../Resources/Images/host-management/hm-add-vuln-ref-name_305x147.png" style="width: 305;height: 147;" /></li>
            <li value="8">If you have additional references you would like to add for the vulnerability, click on the <b class="UISelection">Add Ref</b> button and repeat the previous step. </li>
            <li value="9">Click the <b class="UISelection">Submit</b> button when you are done.</li>
        </ol>
        <h2>Adding a Vulnerability Reference</h2>
        <p class="leadin">To add a reference ID to vulnerability: </p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host that has the vulnerability you want to add a reference to. The single host page appears.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_523x253.png" style="width: 523;height: 253;" /></li>
            <li value="3">Click the <b class="UISelection">Vulnerabilities</b> tab. The Vulnerabilities list appears.<br /><br /><img src="../Resources/Images/host-management/hm-vulns-tab_517x108.png" style="width: 517;height: 108;" /></li>
            <li value="4">Click the <b class="UISelection">Edit</b> icon that is located in the same row as the vulnerability you want to edit. The Edit Vulnerability window appears.<br /><br /><img src="../Resources/Images/host-management/hm-edit-vulns-icon_516x107.png" style="width: 516;height: 107;" /></li>
            <li value="5">Click the <b class="UISelection">Edit</b> icon. The Reference field becomes editable.<br /><br /><img src="../Resources/Images/host-management/hm-edit-vuln-ref-button.png" /></li>
            <li value="6">Edit the vulnerability reference ID or URL.</li>
        </ol>
        <ol data-mc-continue="true">
            <li value="7">Click the <b class="UISelection">Submit</b> button when you are done.</li>
        </ol>
        <h2>Deleting a Vulnerability Reference</h2>
        <p class="leadin">To delete a reference ID from a vulnerability:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host that has the vulnerability you want to delete a reference from. The single host page appears.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_521x252.png" style="width: 521;height: 252;" /></li>
            <li value="3">Click the <b class="UISelection">Vulnerabilities</b> tab. The Vulnerabilities list appears.<br /><br /><img src="../Resources/Images/host-management/hm-vulns-tab_522x109.png" style="width: 522;height: 109;" /></li>
            <li value="4">Click the <b class="UISelection">Edit</b> icon that is located in the same row as the vulnerability you want to edit.<br /><br /><img src="../Resources/Images/host-management/hm-edit-vulns-icon_527x109.png" style="width: 527;height: 109;" /></li>
            <li value="5">Find the reference you want to delete and click the <b class="UISelection">Delete</b> icon. The reference is removed from the list.<br /></li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>If you have additional references you would like to delete, repeat the previous step until you are done.<br /><br /><img src="../Resources/Images/host-management/hm-delete-vuln-ref-icon_289x202.png" style="width: 289;height: 202;" /></p>
        <ol data-mc-continue="true">
            <li value="6">Click the <b class="UISelection">Submit</b> button when you are done.</li>
        </ol>
        <h2>Deleting a Vulnerability from a Host</h2>
        <p class="leadin">To delete a vulnerability from a host:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host that has the vulnerability you want to delete. The single host page appears.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_495x240.png" style="width: 495;height: 240;" /></li>
            <li value="3">Click the <b class="UISelection">Vulnerabilities</b> tab. The Vulnerabilities list appears.<br /><br /><img src="../Resources/Images/host-management/hm-vulns-tab_503x105.png" style="width: 503;height: 105;" /></li>
            <li value="4">Click the <b class="UISelection">Delete</b> icon that is located in the same row as the vulnerability you want to remove. A confirmation window appears.<br /><br /><img src="../Resources/Images/host-management/hm-delete-vuln_520x100.png" style="width: 520;height: 100;" /></li>
            <li value="5">Click <b class="UISelection">OK</b> to delete the vulnerability. The vulnerability is removed from the list.</li>
        </ol>
        <h2>Deleting a Vulnerability from All Hosts</h2>
        <p class="leadin">To delete a vulnerability from the project:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Vulnerabilities</b> from the Project Tab bar. The Vulnerabilities page appears.<br /><br /><img src="../Resources/Images/host-management/hm-vulns-list-view_522x134.png" style="width: 522;height: 134;" /></li>
            <li value="2">Click the <b class="UISelection">Grouped View</b> button in the Quick Tasks bar. The project displays the individual vulnerabilities in the project.<br /><br /><img src="../Resources/Images/host-management/hm-grouped-vulns-view_529x134.png" style="width: 529;height: 134;" /></li>
            <li value="3">Select the vulnerabilities you wan to delete from the project. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>When you delete vulnerabilities from the grouped view, it removes them from all of the hosts that currently have them.<br /><br /><img src="../Resources/Images/host-management/hm-select-vulns_543x166.png" style="width: 543;height: 166;" /></p>
        <ol data-mc-continue="true">
            <li value="4">Click the <b class="UISelection">Delete Vulnerabilities</b> button in the Quick Tasks bar. A confirmation window appears.<br /><br /><img src="../Resources/Images/host-management/hm-delete-vulns-button_527x158.png" style="width: 527;height: 158;" /></li>
            <li value="5">Click <b class="UISelection">OK</b> to continue with the deletion.</li>
        </ol>
    </body>
</html>